from PIL import Image

PATH = 'data/yugo.jpg'

with Image.open(PATH) as img:

    # Prikazivanje slike u originalnoj rezoluciji
    print('Originalna rezolucija slike je:', img.size)
    img.show()

    # Smanjicemo rezoluciju slike na npr. 400 x 200 piksela
    img1 = img.resize((400, 200))
    print('Rezolucija nove slike je:', img1.size)
    img1.show()

    # Dobija se slika koja je "spljostenija" jer nismo zadrzali originalni aspect ratio

    # Slika moze dodatno da se smanji, ali da se odrzi proporcija visine i sirine
    img2 = img.resize((100, 66))
    print('Rezolucija nove slike je:', img2.size)
    img2.show()
